Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network54.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
54.0.0.0
Broadcast address
54.63.255.255
First usable
54.0.0.1
Last usable
54.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 36000000 · Integer 905969664 to 910163967
Reverse DNS zones
0.54.in-addr.arpa
1.54.in-addr.arpa
2.54.in-addr.arpa
3.54.in-addr.arpa
4.54.in-addr.arpa
5.54.in-addr.arpa
6.54.in-addr.arpa
7.54.in-addr.arpa
8.54.in-addr.arpa
9.54.in-addr.arpa
10.54.in-addr.arpa
11.54.in-addr.arpa
12.54.in-addr.arpa
13.54.in-addr.arpa
14.54.in-addr.arpa
15.54.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110110.00000000.00000000.0000000054.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00110110.00000000.00000000.0000000054.0.0.0
Broadcast00110110.00111111.11111111.1111111154.63.255.255
Split into smaller subnets/22

54.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
154.0.0.0/2254.0.0.1 to 54.0.3.25454.0.3.2551,022
254.0.4.0/2254.0.4.1 to 54.0.7.25454.0.7.2551,022
354.0.8.0/2254.0.8.1 to 54.0.11.25454.0.11.2551,022
454.0.12.0/2254.0.12.1 to 54.0.15.25454.0.15.2551,022
554.0.16.0/2254.0.16.1 to 54.0.19.25454.0.19.2551,022
654.0.20.0/2254.0.20.1 to 54.0.23.25454.0.23.2551,022
754.0.24.0/2254.0.24.1 to 54.0.27.25454.0.27.2551,022
854.0.28.0/2254.0.28.1 to 54.0.31.25454.0.31.2551,022
954.0.32.0/2254.0.32.1 to 54.0.35.25454.0.35.2551,022
1054.0.36.0/2254.0.36.1 to 54.0.39.25454.0.39.2551,022
1154.0.40.0/2254.0.40.1 to 54.0.43.25454.0.43.2551,022
1254.0.44.0/2254.0.44.1 to 54.0.47.25454.0.47.2551,022
1354.0.48.0/2254.0.48.1 to 54.0.51.25454.0.51.2551,022
1454.0.52.0/2254.0.52.1 to 54.0.55.25454.0.55.2551,022
1554.0.56.0/2254.0.56.1 to 54.0.59.25454.0.59.2551,022
1654.0.60.0/2254.0.60.1 to 54.0.63.25454.0.63.2551,022
1754.0.64.0/2254.0.64.1 to 54.0.67.25454.0.67.2551,022
1854.0.68.0/2254.0.68.1 to 54.0.71.25454.0.71.2551,022
1954.0.72.0/2254.0.72.1 to 54.0.75.25454.0.75.2551,022
2054.0.76.0/2254.0.76.1 to 54.0.79.25454.0.79.2551,022
2154.0.80.0/2254.0.80.1 to 54.0.83.25454.0.83.2551,022
2254.0.84.0/2254.0.84.1 to 54.0.87.25454.0.87.2551,022
2354.0.88.0/2254.0.88.1 to 54.0.91.25454.0.91.2551,022
2454.0.92.0/2254.0.92.1 to 54.0.95.25454.0.95.2551,022
2554.0.96.0/2254.0.96.1 to 54.0.99.25454.0.99.2551,022
2654.0.100.0/2254.0.100.1 to 54.0.103.25454.0.103.2551,022
2754.0.104.0/2254.0.104.1 to 54.0.107.25454.0.107.2551,022
2854.0.108.0/2254.0.108.1 to 54.0.111.25454.0.111.2551,022
2954.0.112.0/2254.0.112.1 to 54.0.115.25454.0.115.2551,022
3054.0.116.0/2254.0.116.1 to 54.0.119.25454.0.119.2551,022
3154.0.120.0/2254.0.120.1 to 54.0.123.25454.0.123.2551,022
3254.0.124.0/2254.0.124.1 to 54.0.127.25454.0.127.2551,022
3354.0.128.0/2254.0.128.1 to 54.0.131.25454.0.131.2551,022
3454.0.132.0/2254.0.132.1 to 54.0.135.25454.0.135.2551,022
3554.0.136.0/2254.0.136.1 to 54.0.139.25454.0.139.2551,022
3654.0.140.0/2254.0.140.1 to 54.0.143.25454.0.143.2551,022
3754.0.144.0/2254.0.144.1 to 54.0.147.25454.0.147.2551,022
3854.0.148.0/2254.0.148.1 to 54.0.151.25454.0.151.2551,022
3954.0.152.0/2254.0.152.1 to 54.0.155.25454.0.155.2551,022
4054.0.156.0/2254.0.156.1 to 54.0.159.25454.0.159.2551,022
4154.0.160.0/2254.0.160.1 to 54.0.163.25454.0.163.2551,022
4254.0.164.0/2254.0.164.1 to 54.0.167.25454.0.167.2551,022
4354.0.168.0/2254.0.168.1 to 54.0.171.25454.0.171.2551,022
4454.0.172.0/2254.0.172.1 to 54.0.175.25454.0.175.2551,022
4554.0.176.0/2254.0.176.1 to 54.0.179.25454.0.179.2551,022
4654.0.180.0/2254.0.180.1 to 54.0.183.25454.0.183.2551,022
4754.0.184.0/2254.0.184.1 to 54.0.187.25454.0.187.2551,022
4854.0.188.0/2254.0.188.1 to 54.0.191.25454.0.191.2551,022
4954.0.192.0/2254.0.192.1 to 54.0.195.25454.0.195.2551,022
5054.0.196.0/2254.0.196.1 to 54.0.199.25454.0.199.2551,022
5154.0.200.0/2254.0.200.1 to 54.0.203.25454.0.203.2551,022
5254.0.204.0/2254.0.204.1 to 54.0.207.25454.0.207.2551,022
5354.0.208.0/2254.0.208.1 to 54.0.211.25454.0.211.2551,022
5454.0.212.0/2254.0.212.1 to 54.0.215.25454.0.215.2551,022
5554.0.216.0/2254.0.216.1 to 54.0.219.25454.0.219.2551,022
5654.0.220.0/2254.0.220.1 to 54.0.223.25454.0.223.2551,022
5754.0.224.0/2254.0.224.1 to 54.0.227.25454.0.227.2551,022
5854.0.228.0/2254.0.228.1 to 54.0.231.25454.0.231.2551,022
5954.0.232.0/2254.0.232.1 to 54.0.235.25454.0.235.2551,022
6054.0.236.0/2254.0.236.1 to 54.0.239.25454.0.239.2551,022
6154.0.240.0/2254.0.240.1 to 54.0.243.25454.0.243.2551,022
6254.0.244.0/2254.0.244.1 to 54.0.247.25454.0.247.2551,022
6354.0.248.0/2254.0.248.1 to 54.0.251.25454.0.251.2551,022
6454.0.252.0/2254.0.252.1 to 54.0.255.25454.0.255.2551,022
6554.1.0.0/2254.1.0.1 to 54.1.3.25454.1.3.2551,022
6654.1.4.0/2254.1.4.1 to 54.1.7.25454.1.7.2551,022
6754.1.8.0/2254.1.8.1 to 54.1.11.25454.1.11.2551,022
6854.1.12.0/2254.1.12.1 to 54.1.15.25454.1.15.2551,022
6954.1.16.0/2254.1.16.1 to 54.1.19.25454.1.19.2551,022
7054.1.20.0/2254.1.20.1 to 54.1.23.25454.1.23.2551,022
7154.1.24.0/2254.1.24.1 to 54.1.27.25454.1.27.2551,022
7254.1.28.0/2254.1.28.1 to 54.1.31.25454.1.31.2551,022
7354.1.32.0/2254.1.32.1 to 54.1.35.25454.1.35.2551,022
7454.1.36.0/2254.1.36.1 to 54.1.39.25454.1.39.2551,022
7554.1.40.0/2254.1.40.1 to 54.1.43.25454.1.43.2551,022
7654.1.44.0/2254.1.44.1 to 54.1.47.25454.1.47.2551,022
7754.1.48.0/2254.1.48.1 to 54.1.51.25454.1.51.2551,022
7854.1.52.0/2254.1.52.1 to 54.1.55.25454.1.55.2551,022
7954.1.56.0/2254.1.56.1 to 54.1.59.25454.1.59.2551,022
8054.1.60.0/2254.1.60.1 to 54.1.63.25454.1.63.2551,022
8154.1.64.0/2254.1.64.1 to 54.1.67.25454.1.67.2551,022
8254.1.68.0/2254.1.68.1 to 54.1.71.25454.1.71.2551,022
8354.1.72.0/2254.1.72.1 to 54.1.75.25454.1.75.2551,022
8454.1.76.0/2254.1.76.1 to 54.1.79.25454.1.79.2551,022
8554.1.80.0/2254.1.80.1 to 54.1.83.25454.1.83.2551,022
8654.1.84.0/2254.1.84.1 to 54.1.87.25454.1.87.2551,022
8754.1.88.0/2254.1.88.1 to 54.1.91.25454.1.91.2551,022
8854.1.92.0/2254.1.92.1 to 54.1.95.25454.1.95.2551,022
8954.1.96.0/2254.1.96.1 to 54.1.99.25454.1.99.2551,022
9054.1.100.0/2254.1.100.1 to 54.1.103.25454.1.103.2551,022
9154.1.104.0/2254.1.104.1 to 54.1.107.25454.1.107.2551,022
9254.1.108.0/2254.1.108.1 to 54.1.111.25454.1.111.2551,022
9354.1.112.0/2254.1.112.1 to 54.1.115.25454.1.115.2551,022
9454.1.116.0/2254.1.116.1 to 54.1.119.25454.1.119.2551,022
9554.1.120.0/2254.1.120.1 to 54.1.123.25454.1.123.2551,022
9654.1.124.0/2254.1.124.1 to 54.1.127.25454.1.127.2551,022
9754.1.128.0/2254.1.128.1 to 54.1.131.25454.1.131.2551,022
9854.1.132.0/2254.1.132.1 to 54.1.135.25454.1.135.2551,022
9954.1.136.0/2254.1.136.1 to 54.1.139.25454.1.139.2551,022
10054.1.140.0/2254.1.140.1 to 54.1.143.25454.1.143.2551,022
10154.1.144.0/2254.1.144.1 to 54.1.147.25454.1.147.2551,022
10254.1.148.0/2254.1.148.1 to 54.1.151.25454.1.151.2551,022
10354.1.152.0/2254.1.152.1 to 54.1.155.25454.1.155.2551,022
10454.1.156.0/2254.1.156.1 to 54.1.159.25454.1.159.2551,022
10554.1.160.0/2254.1.160.1 to 54.1.163.25454.1.163.2551,022
10654.1.164.0/2254.1.164.1 to 54.1.167.25454.1.167.2551,022
10754.1.168.0/2254.1.168.1 to 54.1.171.25454.1.171.2551,022
10854.1.172.0/2254.1.172.1 to 54.1.175.25454.1.175.2551,022
10954.1.176.0/2254.1.176.1 to 54.1.179.25454.1.179.2551,022
11054.1.180.0/2254.1.180.1 to 54.1.183.25454.1.183.2551,022
11154.1.184.0/2254.1.184.1 to 54.1.187.25454.1.187.2551,022
11254.1.188.0/2254.1.188.1 to 54.1.191.25454.1.191.2551,022
11354.1.192.0/2254.1.192.1 to 54.1.195.25454.1.195.2551,022
11454.1.196.0/2254.1.196.1 to 54.1.199.25454.1.199.2551,022
11554.1.200.0/2254.1.200.1 to 54.1.203.25454.1.203.2551,022
11654.1.204.0/2254.1.204.1 to 54.1.207.25454.1.207.2551,022
11754.1.208.0/2254.1.208.1 to 54.1.211.25454.1.211.2551,022
11854.1.212.0/2254.1.212.1 to 54.1.215.25454.1.215.2551,022
11954.1.216.0/2254.1.216.1 to 54.1.219.25454.1.219.2551,022
12054.1.220.0/2254.1.220.1 to 54.1.223.25454.1.223.2551,022
12154.1.224.0/2254.1.224.1 to 54.1.227.25454.1.227.2551,022
12254.1.228.0/2254.1.228.1 to 54.1.231.25454.1.231.2551,022
12354.1.232.0/2254.1.232.1 to 54.1.235.25454.1.235.2551,022
12454.1.236.0/2254.1.236.1 to 54.1.239.25454.1.239.2551,022
12554.1.240.0/2254.1.240.1 to 54.1.243.25454.1.243.2551,022
12654.1.244.0/2254.1.244.1 to 54.1.247.25454.1.247.2551,022
12754.1.248.0/2254.1.248.1 to 54.1.251.25454.1.251.2551,022
12854.1.252.0/2254.1.252.1 to 54.1.255.25454.1.255.2551,022
12954.2.0.0/2254.2.0.1 to 54.2.3.25454.2.3.2551,022
13054.2.4.0/2254.2.4.1 to 54.2.7.25454.2.7.2551,022
13154.2.8.0/2254.2.8.1 to 54.2.11.25454.2.11.2551,022
13254.2.12.0/2254.2.12.1 to 54.2.15.25454.2.15.2551,022
13354.2.16.0/2254.2.16.1 to 54.2.19.25454.2.19.2551,022
13454.2.20.0/2254.2.20.1 to 54.2.23.25454.2.23.2551,022
13554.2.24.0/2254.2.24.1 to 54.2.27.25454.2.27.2551,022
13654.2.28.0/2254.2.28.1 to 54.2.31.25454.2.31.2551,022
13754.2.32.0/2254.2.32.1 to 54.2.35.25454.2.35.2551,022
13854.2.36.0/2254.2.36.1 to 54.2.39.25454.2.39.2551,022
13954.2.40.0/2254.2.40.1 to 54.2.43.25454.2.43.2551,022
14054.2.44.0/2254.2.44.1 to 54.2.47.25454.2.47.2551,022
14154.2.48.0/2254.2.48.1 to 54.2.51.25454.2.51.2551,022
14254.2.52.0/2254.2.52.1 to 54.2.55.25454.2.55.2551,022
14354.2.56.0/2254.2.56.1 to 54.2.59.25454.2.59.2551,022
14454.2.60.0/2254.2.60.1 to 54.2.63.25454.2.63.2551,022
14554.2.64.0/2254.2.64.1 to 54.2.67.25454.2.67.2551,022
14654.2.68.0/2254.2.68.1 to 54.2.71.25454.2.71.2551,022
14754.2.72.0/2254.2.72.1 to 54.2.75.25454.2.75.2551,022
14854.2.76.0/2254.2.76.1 to 54.2.79.25454.2.79.2551,022
14954.2.80.0/2254.2.80.1 to 54.2.83.25454.2.83.2551,022
15054.2.84.0/2254.2.84.1 to 54.2.87.25454.2.87.2551,022
15154.2.88.0/2254.2.88.1 to 54.2.91.25454.2.91.2551,022
15254.2.92.0/2254.2.92.1 to 54.2.95.25454.2.95.2551,022
15354.2.96.0/2254.2.96.1 to 54.2.99.25454.2.99.2551,022
15454.2.100.0/2254.2.100.1 to 54.2.103.25454.2.103.2551,022
15554.2.104.0/2254.2.104.1 to 54.2.107.25454.2.107.2551,022
15654.2.108.0/2254.2.108.1 to 54.2.111.25454.2.111.2551,022
15754.2.112.0/2254.2.112.1 to 54.2.115.25454.2.115.2551,022
15854.2.116.0/2254.2.116.1 to 54.2.119.25454.2.119.2551,022
15954.2.120.0/2254.2.120.1 to 54.2.123.25454.2.123.2551,022
16054.2.124.0/2254.2.124.1 to 54.2.127.25454.2.127.2551,022
16154.2.128.0/2254.2.128.1 to 54.2.131.25454.2.131.2551,022
16254.2.132.0/2254.2.132.1 to 54.2.135.25454.2.135.2551,022
16354.2.136.0/2254.2.136.1 to 54.2.139.25454.2.139.2551,022
16454.2.140.0/2254.2.140.1 to 54.2.143.25454.2.143.2551,022
16554.2.144.0/2254.2.144.1 to 54.2.147.25454.2.147.2551,022
16654.2.148.0/2254.2.148.1 to 54.2.151.25454.2.151.2551,022
16754.2.152.0/2254.2.152.1 to 54.2.155.25454.2.155.2551,022
16854.2.156.0/2254.2.156.1 to 54.2.159.25454.2.159.2551,022
16954.2.160.0/2254.2.160.1 to 54.2.163.25454.2.163.2551,022
17054.2.164.0/2254.2.164.1 to 54.2.167.25454.2.167.2551,022
17154.2.168.0/2254.2.168.1 to 54.2.171.25454.2.171.2551,022
17254.2.172.0/2254.2.172.1 to 54.2.175.25454.2.175.2551,022
17354.2.176.0/2254.2.176.1 to 54.2.179.25454.2.179.2551,022
17454.2.180.0/2254.2.180.1 to 54.2.183.25454.2.183.2551,022
17554.2.184.0/2254.2.184.1 to 54.2.187.25454.2.187.2551,022
17654.2.188.0/2254.2.188.1 to 54.2.191.25454.2.191.2551,022
17754.2.192.0/2254.2.192.1 to 54.2.195.25454.2.195.2551,022
17854.2.196.0/2254.2.196.1 to 54.2.199.25454.2.199.2551,022
17954.2.200.0/2254.2.200.1 to 54.2.203.25454.2.203.2551,022
18054.2.204.0/2254.2.204.1 to 54.2.207.25454.2.207.2551,022
18154.2.208.0/2254.2.208.1 to 54.2.211.25454.2.211.2551,022
18254.2.212.0/2254.2.212.1 to 54.2.215.25454.2.215.2551,022
18354.2.216.0/2254.2.216.1 to 54.2.219.25454.2.219.2551,022
18454.2.220.0/2254.2.220.1 to 54.2.223.25454.2.223.2551,022
18554.2.224.0/2254.2.224.1 to 54.2.227.25454.2.227.2551,022
18654.2.228.0/2254.2.228.1 to 54.2.231.25454.2.231.2551,022
18754.2.232.0/2254.2.232.1 to 54.2.235.25454.2.235.2551,022
18854.2.236.0/2254.2.236.1 to 54.2.239.25454.2.239.2551,022
18954.2.240.0/2254.2.240.1 to 54.2.243.25454.2.243.2551,022
19054.2.244.0/2254.2.244.1 to 54.2.247.25454.2.247.2551,022
19154.2.248.0/2254.2.248.1 to 54.2.251.25454.2.251.2551,022
19254.2.252.0/2254.2.252.1 to 54.2.255.25454.2.255.2551,022
19354.3.0.0/2254.3.0.1 to 54.3.3.25454.3.3.2551,022
19454.3.4.0/2254.3.4.1 to 54.3.7.25454.3.7.2551,022
19554.3.8.0/2254.3.8.1 to 54.3.11.25454.3.11.2551,022
19654.3.12.0/2254.3.12.1 to 54.3.15.25454.3.15.2551,022
19754.3.16.0/2254.3.16.1 to 54.3.19.25454.3.19.2551,022
19854.3.20.0/2254.3.20.1 to 54.3.23.25454.3.23.2551,022
19954.3.24.0/2254.3.24.1 to 54.3.27.25454.3.27.2551,022
20054.3.28.0/2254.3.28.1 to 54.3.31.25454.3.31.2551,022
20154.3.32.0/2254.3.32.1 to 54.3.35.25454.3.35.2551,022
20254.3.36.0/2254.3.36.1 to 54.3.39.25454.3.39.2551,022
20354.3.40.0/2254.3.40.1 to 54.3.43.25454.3.43.2551,022
20454.3.44.0/2254.3.44.1 to 54.3.47.25454.3.47.2551,022
20554.3.48.0/2254.3.48.1 to 54.3.51.25454.3.51.2551,022
20654.3.52.0/2254.3.52.1 to 54.3.55.25454.3.55.2551,022
20754.3.56.0/2254.3.56.1 to 54.3.59.25454.3.59.2551,022
20854.3.60.0/2254.3.60.1 to 54.3.63.25454.3.63.2551,022
20954.3.64.0/2254.3.64.1 to 54.3.67.25454.3.67.2551,022
21054.3.68.0/2254.3.68.1 to 54.3.71.25454.3.71.2551,022
21154.3.72.0/2254.3.72.1 to 54.3.75.25454.3.75.2551,022
21254.3.76.0/2254.3.76.1 to 54.3.79.25454.3.79.2551,022
21354.3.80.0/2254.3.80.1 to 54.3.83.25454.3.83.2551,022
21454.3.84.0/2254.3.84.1 to 54.3.87.25454.3.87.2551,022
21554.3.88.0/2254.3.88.1 to 54.3.91.25454.3.91.2551,022
21654.3.92.0/2254.3.92.1 to 54.3.95.25454.3.95.2551,022
21754.3.96.0/2254.3.96.1 to 54.3.99.25454.3.99.2551,022
21854.3.100.0/2254.3.100.1 to 54.3.103.25454.3.103.2551,022
21954.3.104.0/2254.3.104.1 to 54.3.107.25454.3.107.2551,022
22054.3.108.0/2254.3.108.1 to 54.3.111.25454.3.111.2551,022
22154.3.112.0/2254.3.112.1 to 54.3.115.25454.3.115.2551,022
22254.3.116.0/2254.3.116.1 to 54.3.119.25454.3.119.2551,022
22354.3.120.0/2254.3.120.1 to 54.3.123.25454.3.123.2551,022
22454.3.124.0/2254.3.124.1 to 54.3.127.25454.3.127.2551,022
22554.3.128.0/2254.3.128.1 to 54.3.131.25454.3.131.2551,022
22654.3.132.0/2254.3.132.1 to 54.3.135.25454.3.135.2551,022
22754.3.136.0/2254.3.136.1 to 54.3.139.25454.3.139.2551,022
22854.3.140.0/2254.3.140.1 to 54.3.143.25454.3.143.2551,022
22954.3.144.0/2254.3.144.1 to 54.3.147.25454.3.147.2551,022
23054.3.148.0/2254.3.148.1 to 54.3.151.25454.3.151.2551,022
23154.3.152.0/2254.3.152.1 to 54.3.155.25454.3.155.2551,022
23254.3.156.0/2254.3.156.1 to 54.3.159.25454.3.159.2551,022
23354.3.160.0/2254.3.160.1 to 54.3.163.25454.3.163.2551,022
23454.3.164.0/2254.3.164.1 to 54.3.167.25454.3.167.2551,022
23554.3.168.0/2254.3.168.1 to 54.3.171.25454.3.171.2551,022
23654.3.172.0/2254.3.172.1 to 54.3.175.25454.3.175.2551,022
23754.3.176.0/2254.3.176.1 to 54.3.179.25454.3.179.2551,022
23854.3.180.0/2254.3.180.1 to 54.3.183.25454.3.183.2551,022
23954.3.184.0/2254.3.184.1 to 54.3.187.25454.3.187.2551,022
24054.3.188.0/2254.3.188.1 to 54.3.191.25454.3.191.2551,022
24154.3.192.0/2254.3.192.1 to 54.3.195.25454.3.195.2551,022
24254.3.196.0/2254.3.196.1 to 54.3.199.25454.3.199.2551,022
24354.3.200.0/2254.3.200.1 to 54.3.203.25454.3.203.2551,022
24454.3.204.0/2254.3.204.1 to 54.3.207.25454.3.207.2551,022
24554.3.208.0/2254.3.208.1 to 54.3.211.25454.3.211.2551,022
24654.3.212.0/2254.3.212.1 to 54.3.215.25454.3.215.2551,022
24754.3.216.0/2254.3.216.1 to 54.3.219.25454.3.219.2551,022
24854.3.220.0/2254.3.220.1 to 54.3.223.25454.3.223.2551,022
24954.3.224.0/2254.3.224.1 to 54.3.227.25454.3.227.2551,022
25054.3.228.0/2254.3.228.1 to 54.3.231.25454.3.231.2551,022
25154.3.232.0/2254.3.232.1 to 54.3.235.25454.3.235.2551,022
25254.3.236.0/2254.3.236.1 to 54.3.239.25454.3.239.2551,022
25354.3.240.0/2254.3.240.1 to 54.3.243.25454.3.243.2551,022
25454.3.244.0/2254.3.244.1 to 54.3.247.25454.3.247.2551,022
25554.3.248.0/2254.3.248.1 to 54.3.251.25454.3.251.2551,022
25654.3.252.0/2254.3.252.1 to 54.3.255.25454.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses